> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Push Campaigns

> List push campaigns

# List Push Campaigns

Lists push campaigns, newest first. Push campaigns also appear in [List campaigns](../campaigns/list) with `type: "push"`. Requires the `campaigns:read` scope.

## Request

<ParamField query="status" type="string">
  `draft`, `scheduled`, `sending`, `sent`, or `cancelled`.
</ParamField>

<ParamField query="limit" type="number" default="50">
  Page size, 1 to 100.
</ParamField>

<ParamField query="offset" type="number" default="0">
  Number of campaigns to skip.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/push/campaigns?status=sent" \
  --header "Authorization: Bearer $SEQUENZY_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "campaigns": [
      {
        "id": "cmp_abc123",
        "name": "Flash sale",
        "type": "push",
        "status": "draft",
        "content": {
          "title": "24h sale",
          "body": "30% off everything",
          "url": "https://shop.example.com/sale",
          "imageUrl": null,
          "iconUrl": null,
          "platforms": [
            "web",
            "ios"
          ]
        },
        "targetLists": {
          "type": "all"
        },
        "scheduledAt": null,
        "sentAt": null,
        "estimatedRecipientCount": null,
        "labelIds": [],
        "createdAt": "2026-10-01T12:00:00.000Z",
        "updatedAt": "2026-10-01T12:00:00.000Z"
      }
    ],
    "total": 1
  }
  ```

  ```json 401 theme={null}
  {
    "error": "Invalid API key"
  }
  ```

  ```json 403 theme={null}
  {
    "error": "API key is missing required scope: campaigns:read"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.